# 1.9.0[−][src]Trait std::os::unix::thread::JoinHandleExt

    pub trait JoinHandleExt {
        pub fn as_pthread_t(&self) -> RawPthread;
        pub fn into_pthread_t(self) -> RawPthread;
    }

This is supported on Unix only.

Unix-specific extensions to `JoinHandle`.

## Required methods

### `pub fn as_pthread_t(&self) -> RawPthread`[src]

Extracts the raw pthread_t without taking ownership

### `pub fn into_pthread_t(self) -> RawPthread`[src]

Consumes the thread, returning the raw pthread_t

This function transfers ownership of the underlying pthread_t to the caller. Callers are then the unique owners of the pthread_t and must either detach or join the pthread_t once it's no longer needed.

Loading content...

## Implementors

### `impl<T> JoinHandleExt for JoinHandle<T>`[src]

#### `pub fn as_pthread_t(&self) -> RawPthread`[src]

This is supported on Unix only.

#### `pub fn into_pthread_t(self) -> RawPthread`[src]

This is supported on Unix only.
Loading content...